# FoundationClasses
TKernel
TColStd

# TColStd_HSequenceOfTransient Class Reference

`#include <TColStd_HSequenceOfTransient.hxx>`

Inheritance diagram for TColStd_HSequenceOfTransient:

[legend]

## Public Member Functions

| TColStd_HSequenceOfTransient ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(Standard_Transient)&anItem)
Standard_EXPORT void | Append (const Handle(TColStd_HSequenceOfTransient)&aSequence)
Standard_EXPORT void | Prepend (const Handle(Standard_Transient)&anItem)
Standard_EXPORT void | Prepend (const Handle(TColStd_HSequenceOfTransient)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(Standard_Transient)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(TColStd_HSequenceOfTransient)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(Standard_Transient)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(TColStd_HSequenceOfTransient)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_TColStd_HSequenceOfTransient | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(Standard_Transient)&anItem)
Standard_EXPORT const Handle_Standard_Transient & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_Standard_Transient & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const TColStd_SequenceOfTransient & | Sequence () const
TColStd_SequenceOfTransient & | ChangeSequence ()
Standard_EXPORT Handle_TColStd_HSequenceOfTransient | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TColStd_SequenceOfTransient | mySequence

## Constructor & Destructor Documentation

TColStd_HSequenceOfTransient::TColStd_HSequenceOfTransient | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void TColStd_HSequenceOfTransient::Append | ( | const Handle(TColStd_HSequenceOfTransient)& | aSequence | ) |

Standard_EXPORT void TColStd_HSequenceOfTransient::Append | ( | const Handle(Standard_Transient)& | anItem | ) |

TColStd_SequenceOfTransient& TColStd_HSequenceOfTransient::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_Standard_Transient& TColStd_HSequenceOfTransient::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void TColStd_HSequenceOfTransient::Clear | ( |  | ) |

Standard_EXPORT void TColStd_HSequenceOfTransient::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const TColStd_HSequenceOfTransient::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT void TColStd_HSequenceOfTransient::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(TColStd_HSequenceOfTransient)& | aSequence
| ) |

Standard_EXPORT void TColStd_HSequenceOfTransient::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(Standard_Transient)& | anItem
| ) |

Standard_EXPORT void TColStd_HSequenceOfTransient::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(TColStd_HSequenceOfTransient)& | aSequence
| ) |

Standard_EXPORT void TColStd_HSequenceOfTransient::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(Standard_Transient)& | anItem
| ) |

Standard_Boolean TColStd_HSequenceOfTransient::IsEmpty | ( |  | ) | const

Standard_Integer TColStd_HSequenceOfTransient::Length | ( |  | ) | const

Standard_EXPORT void TColStd_HSequenceOfTransient::Prepend | ( | const Handle(TColStd_HSequenceOfTransient)& | aSequence | ) |

Standard_EXPORT void TColStd_HSequenceOfTransient::Prepend | ( | const Handle(Standard_Transient)& | anItem | ) |

Standard_EXPORT void TColStd_HSequenceOfTransient::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void TColStd_HSequenceOfTransient::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void TColStd_HSequenceOfTransient::Reverse | ( |  | ) |

const TColStd_SequenceOfTransient& TColStd_HSequenceOfTransient::Sequence | ( |  | ) | const

Standard_EXPORT void TColStd_HSequenceOfTransient::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(Standard_Transient)& | anItem
| ) |

Standard_EXPORT Handle_TColStd_HSequenceOfTransient TColStd_HSequenceOfTransient::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_TColStd_HSequenceOfTransient TColStd_HSequenceOfTransient::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_Standard_Transient& TColStd_HSequenceOfTransient::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

TColStd_SequenceOfTransient TColStd_HSequenceOfTransient::mySequence `[private]`

The documentation for this class was generated from the following file:

- TColStd_HSequenceOfTransient.hxx